jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Guggisberg <stefan.guggisb...@gmail.com>
Subject Re: Maven downloads wrong version of commons-collections
Date Sun, 04 Dec 2005 12:16:30 GMT
On 12/4/05, solprovider@apache.org <solprovider@apache.org> wrote:
> Maven downloaded commons-collections-2.1.jar when it needs
> commons-collections-3.1.jar.

??? i seriously doubt that! have a look at jackrabbit/project.xml:

        <dependency>
            <groupId>commons-collections</groupId>
            <artifactId>commons-collections</artifactId>
            <version>3.1</version>
        </dependency>


cheers
stefan

>
> Jackrabbit imports classes from:
> org.apache.commons.collections.map.*
>
> commons-collections-2.1.jar has those classes in:
> org.apache.commons.collections.*
>
> The classes were moved to the "map" subpackage for commons-collections-3.1.
>
> solprovider
>

Mime
View raw message